<?php

define("LIBERATIONSWEB", 20091223);

//Librairie de fonctions
require_once (__DIR__ . '/vendor/autoload.php');
require_once("lib/libconfig.inc.php");
require_once("lib/libfonctions.inc.php");
require_once("lib/libsession.inc.php");
require_once("lib/libmysql.inc.php");
require_once("lib/libencode.inc.php");

//Requêtes mySQL pour rétablir les comptes.
//Si moins de 15 minutes au premier essai
unset($sqlparam);
$sqlparam["connexion"] = "maitre";
$sqlparam["type"] = "UPDATE";
$sqlparam["table"][] = "administration";
$sqlparam["where"][] = "essais=1";
$sqlparam["where"][] = "Now() - INTERVAL 15 MINUTE > dern_acces";
$sqlparam["champs"]["acces"] = 0;
$sqlparam["champs"]["blocage"] = 0;

executerRequeteSql($sqlparam);

//Requêtes mySQL pour rétablir les comptes.
//Si moins d'une heure minutes au second essai
unset($sqlparam);
$sqlparam["connexion"] = "maitre";
$sqlparam["type"] = "UPDATE";
$sqlparam["table"][] = "administration";
$sqlparam["where"][] = "essais=2";
$sqlparam["where"][] = "Now() - INTERVAL 60 MINUTE > dern_acces";
$sqlparam["champs"]["acces"] = 0;
$sqlparam["champs"]["blocage"] = 0;

executerRequeteSql($sqlparam);
